#!/bin/bash
if [ ! -f ~/.ssh/id_ed25519.pub ]
then 
	echo -e "Vous devez installer le package sudo en tant que root et vous rajouter dans le groupe sudo"
    echo -e "usermod -a -G sudo nom_utilisateur"
    echo -e "Puis revenir en tant que utilisateur"
    exit 1
else
    if [ $(id -u) -eq 0 ]
    then
        echo -e "Ce script doit être lancé en tant qu'utilisateur appartenant au groupe sudo" 
        exit 1
    fi
fi
echo "Install packages"
sudo apt install -y jupyter python3-virtualenv python3-setuptools build-essential libssl-dev libffi-dev python3-dev libkrb5-dev sshpass  yamllint python3-pip pipx
if [ ! -d /etc/ansible ]
then
    sudo mkdir /etc/ansible
    sudo mkdir /etc/ansible/group_vars
    sudo mkdir /etc/ansible/roles
    sudo cp ./group_vars/*  /etc/ansible/group_vars/
    sudo cp ./ansible.cfg /etc/ansible/ansible.cfg
    sudo cp ./hosts /etc/ansible/hosts
fi
pip3 install ansible 
pip3 install ansible-lint
pip3 install ansible-runner
pip3 install ansible-builder
pip3 install netmiko
pip3 install netaddr
pip3 install argcomplete
activate-global-python-argcomplete
pip3 install  cryptography --upgrade  
pip3 install  pywinrm 
pip3 install  pywinrm[credssp] 
pip3 install  pywinrm[kerberos] 
pip3 install  molecule[ansible,docker,lint] 
pip3 install  docker 
pip3 install  ansible-navigator[ansible-core]
pip3 install  --upgrade   git+https://github.com/networkop/docker-topo.git
# pip3 ensurepath
source  ~/.bashrc
ansible-galaxy collection install arista.eos
ansible-galaxy collection install community.general

